//NEW MATS

singleton Material(SD40_CAB_alt)
{
   mapTo = "SD40_CAB_alt";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_cab_hh.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_cab_s.png";
   normalMap[0] = "vehicles/6axle_train/ns/ns_cab_hh_n.png";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(train_highhood)
{
   mapTo = "train_highhood";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_highhood.png";
   normalMap[0] = "vehicles/6axle_train/ns/ns_highhood_n.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_highhood_s.png";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(train_horn_5chime)
{
   mapTo = "train_horn_5chime";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_black.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material(train_alt_bell)
{
   mapTo = "train_alt_bell";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_black.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material(train_black)
{
   mapTo = "train_black";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_black.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material(train_red)
{
   mapTo = "train_red";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_red.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

/*
singleton Material(train_blue)
{
   mapTo = "train_blue";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_blue_sw.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};
*/

singleton Material(train_forward_decal)
{
   mapTo = "train_forward_decal";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_forward_decal.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "LerpAlpha";
   translucent = "1";
   transparency = "1";
};

//========================//
// SUFFOLK & WESTERN SKIN //
//========================//

singleton Material("onion_pacific_body.skin.sw")
{
   mapTo = "onion_pacific_body.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_body_sw.png";
   normalMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/train_body_n.dds";
   specularMap[0] = "vehicles/6axle_train/ns/ns_body_s.png";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_rear_light.skin.sw")
{
   mapTo = "train_rear_light.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_rearlight_sw.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/train_rear_light_s.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_grabiron_ladder_R.skin.sw")
{
   mapTo = "train_grabiron_ladder_R.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_rearladder_sw.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/rearladder_s.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_frame.skin.sw")
{
   mapTo = "train_frame.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_frame_sw.png";
   specularMap[0] = "vehicles/6axle_train/tex/train_frame_s.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_handrails_color_1.skin.sw")
{
   mapTo = "train_handrails_color_1.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_blue_sw.png";
   specular[0] = "0.5 0.5 0.5 1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_handrails_color_2.skin.sw")
{
   mapTo = "train_handrails_color_2.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_yellow_nor.png";
   specular[0] = "0.5 0.5 0.5 1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("SD40_CAB.skin.sw")
{
   mapTo = "SD40_CAB.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_cab_sw.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_cab_s.png";
   normalMap[0] = "vehicles/6axle_train/ns/ns_cab_n.png";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("SD40_CAB_alt.skin.sw")
{
   mapTo = "SD40_CAB_alt.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_cab_sw.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_cab_s.png";
   normalMap[0] = "vehicles/6axle_train/ns/ns_cab_hh_n.png";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("onion_pacific_nose.skin.sw")
{
   mapTo = "onion_pacific_nose.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_nose_sw.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_nose_s.png";
   normalMap[0] = "vehicles/6axle_train/tex/nose_n.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("onion_pacific_dynamic_brake.skin.sw")
{
   mapTo = "onion_pacific_dynamic_brake.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_dynamicbrake_sw.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/onion_pacific_dynamic_brake_s.dds";
   normalMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/onion_pacific_dynamic_brake_n.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_radiator_fan_cases.skin.sw")
{
   mapTo = "train_radiator_fan_cases.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_radiatorfancases_sw.png";
    useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_roofcomponents.skin.sw")
{
   mapTo = "train_roofcomponents.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_roofcomponents_sw.png";
   normalMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/train_roofcomponents_Normal_OpenGL.dds";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/train_roofcomponents_Roughness.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_cab_light.skin.sw")
{
   mapTo = "train_cab_light.skin.sw";
   reflectivityMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/train_cab_light_r.dds";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_cablight_sw.png";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   dynamicCubemap = true;
   translucentBlendOp = "None";
};

singleton Material("radiatorframe.skin.sw")
{
   mapTo = "radiatorframe.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_radiatorfan_sw.png";    
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
};

singleton Material("train_ec_airfilter.skin.sw")
{
   mapTo = "train_ec_airfilter.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_ec_af_sw.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/op_ec_airfilter_s.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("airreservoir.skin.sw")
{
   mapTo = "airreservoir.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_airreservoir.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/airreservoir_s.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_bell_frame.skin.sw")
{
   mapTo = "train_bell_frame.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_bell_sw.png";
   diffuseMap[1] = "vehicles/6axle_train/ns/ns_bell_sw.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/op_bell_s.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("metalplate.skin.sw")
{
   mapTo = "metalplate.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_metalplate_sw.png";
   normalMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/metalplate_n.dds";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/metalplate_s.dds";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("fueltank.skin.sw")
{
   mapTo = "fueltank.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_fueltank.png";
   specularMap[0] = "vehicles/6axle_train/tex/fueltank_Roughness.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("endplatestuff.skin.sw")
{
   mapTo = "endplatestuff.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_endplatestuff_sw.png";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_radiator_fan.skin.sw")
{
   mapTo = "train_radiator_fan.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_radiatorfan_sw.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/op_radiatorfan_s.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_numberplates.skin.sw")
{
   mapTo = "train_numberplates.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_numberplates_sw.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
   doubleSided = true;
};

singleton Material("train_chain.skin.sw")
{
   mapTo = "train_chain.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_blue_sw.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("onion_pacific_dynamic_brake_grille.skin.sw")
{
   mapTo = "onion_pacific_dynamic_brake_grille.skin.sw";
    diffuseColor[0] = "0.8 0.8 0.8 1";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_dynamicbrakegrille_sw.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/train_db_grille_s.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_tractionmotors.skin.sw")
{
   mapTo = "train_tractionmotors.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_tractionmotors.png";
   normalMap[0] = "vehicles/6axle_train/trucks/train_tractionmotors_n.dds";
   specularMap[0] = "vehicles/6axle_train/trucks/train_tractionmotors_s.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_trucks.skin.sw")
{
   mapTo = "train_trucks.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_trucks.png";
    specularMap[0] = "vehicles/6axle_train/trucks/train_trucks_s.dds";
   normalMap[0] = "vehicles/6axle_train/trucks/train_trucks_n.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_brakes.skin.sw")
{
   mapTo = "train_brakes.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_brakes.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("windowtrim2.skin.sw")
{
   mapTo = "windowtrim2.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_blue_sw.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_forward_decal.skin.sw")
{
   mapTo = "train_forward_decal.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_numberplates_sw.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "LerpAlpha";
   translucent = "1";
   transparency = "1";
};

singleton Material("train_highhood.skin.sw")
{
   mapTo = "train_highhood.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_highhood_sw.png";
   normalMap[0] = "vehicles/6axle_train/ns/ns_highhood_n.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_highhood_s.png";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_horn_5chime.skin.sw")
{
   mapTo = "train_horn_5chime.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_blue_sw.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_alt_bell.skin.sw")
{
   mapTo = "train_alt_bell.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_blue_sw.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_black.skin.sw")
{
   mapTo = "train_black.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_blue_sw.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_red.skin.sw")
{
   mapTo = "train_red.skin.sw";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_yellow_nor.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

//===============//
// NORTHERN SKIN //
//===============//

singleton Material("onion_pacific_body.skin.nor")
{
   mapTo = "onion_pacific_body.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_body_nor.png";
   normalMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/train_body_n.dds";
   specularMap[0] = "vehicles/6axle_train/ns/ns_body_s.png";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_rear_light.skin.nor")
{
   mapTo = "train_rear_light.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_rearlight.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/train_rear_light_s.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_grabiron_ladder_R.skin.nor")
{
   mapTo = "train_grabiron_ladder_R.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_rearladder_nor.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/rearladder_s.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_frame.skin.nor")
{
   mapTo = "train_frame.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_frame_nor.png";
   specularMap[0] = "vehicles/6axle_train/tex/train_frame_s.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_handrails_color_1.skin.nor")
{
   mapTo = "train_handrails_color_1.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_black.png";
   specular[0] = "0.5 0.5 0.5 1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_handrails_color_2.skin.nor")
{
   mapTo = "train_handrails_color_2.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_yellow_nor.png";
   specular[0] = "0.5 0.5 0.5 1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("SD40_CAB.skin.nor")
{
   mapTo = "SD40_CAB.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_cab_nor.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_cab_s.png";
   normalMap[0] = "vehicles/6axle_train/ns/ns_cab_n.png";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("SD40_CAB_alt.skin.nor")
{
   mapTo = "SD40_CAB_alt.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_cab_nor.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_cab_s.png";
   normalMap[0] = "vehicles/6axle_train/ns/ns_cab_hh_n.png";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("onion_pacific_nose.skin.nor")
{
   mapTo = "onion_pacific_nose.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_nose_nor.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_nose_s.png";
   normalMap[0] = "vehicles/6axle_train/tex/nose_n.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("onion_pacific_dynamic_brake.skin.nor")
{
   mapTo = "onion_pacific_dynamic_brake.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_dynamicbrake.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/onion_pacific_dynamic_brake_s.dds";
   normalMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/onion_pacific_dynamic_brake_n.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_radiator_fan_cases.skin.nor")
{
   mapTo = "train_radiator_fan_cases.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_radiatorfancases.png";
    useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_roofcomponents.skin.nor")
{
   mapTo = "train_roofcomponents.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_roofcomponents.png";
   normalMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/train_roofcomponents_Normal_OpenGL.dds";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/train_roofcomponents_Roughness.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_cab_light.skin.nor")
{
   mapTo = "train_cab_light.skin.nor";
   reflectivityMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/train_cab_light_r.dds";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_cablight.png";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   dynamicCubemap = true;
   translucentBlendOp = "None";
};

singleton Material("radiatorframe.skin.nor")
{
   mapTo = "radiatorframe.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_radiatorfan.png";    
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
};

singleton Material("train_ec_airfilter.skin.nor")
{
   mapTo = "train_ec_airfilter.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_ec_af_nor.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/op_ec_airfilter_s.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("airreservoir.skin.nor")
{
   mapTo = "airreservoir.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_airreservoir.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/airreservoir_s.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_bell_frame.skin.nor")
{
   mapTo = "train_bell_frame.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_bell.png";
   diffuseMap[1] = "vehicles/6axle_train/ns/ns_bell.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/op_bell_s.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("metalplate.skin.nor")
{
   mapTo = "metalplate.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_metalplate.png";
   normalMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/metalplate_n.dds";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/metalplate_s.dds";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("fueltank.skin.nor")
{
   mapTo = "fueltank.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_fueltank.png";
   specularMap[0] = "vehicles/6axle_train/tex/fueltank_Roughness.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("endplatestuff.skin.nor")
{
   mapTo = "endplatestuff.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_endplatestuff_nor.png";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_radiator_fan.skin.nor")
{
   mapTo = "train_radiator_fan.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_radiatorfan.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/op_radiatorfan_s.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_numberplates.skin.nor")
{
   mapTo = "train_numberplates.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_numberplates_nor.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
   doubleSided = true;
};

singleton Material("train_chain.skin.nor")
{
   mapTo = "train_chain.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_black.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("onion_pacific_dynamic_brake_grille.skin.nor")
{
   mapTo = "onion_pacific_dynamic_brake_grille.skin.nor";
    diffuseColor[0] = "0.8 0.8 0.8 1";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_dynamicbrakegrille.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/train_db_grille_s.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_tractionmotors.skin.nor")
{
   mapTo = "train_tractionmotors.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_tractionmotors.png";
   normalMap[0] = "vehicles/6axle_train/trucks/train_tractionmotors_n.dds";
   specularMap[0] = "vehicles/6axle_train/trucks/train_tractionmotors_s.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_trucks.skin.nor")
{
   mapTo = "train_trucks.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_trucks.png";
    specularMap[0] = "vehicles/6axle_train/trucks/train_trucks_s.dds";
   normalMap[0] = "vehicles/6axle_train/trucks/train_trucks_n.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_brakes.skin.nor")
{
   mapTo = "train_brakes.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_brakes.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("windowtrim2.skin.nor")
{
   mapTo = "windowtrim2.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_black.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_highhood.skin.nor")
{
   mapTo = "train_highhood.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_highhood_nor.png";
   normalMap[0] = "vehicles/6axle_train/ns/ns_highhood_n.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_highhood_s.png";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_forward_decal.skin.nor")
{
   mapTo = "train_forward_decal.skin.nor";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_forward_decal_nor.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "LerpAlpha";
   translucent = "1";
   transparency = "1";
};

//=========================//
// NORTHERN & SUFFOLK SKIN //
//=========================//

singleton Material("onion_pacific_body.skin.ns")
{
   mapTo = "onion_pacific_body.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_body.png";
   normalMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/train_body_n.dds";
   specularMap[0] = "vehicles/6axle_train/ns/ns_body_s.png";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_rear_light.skin.ns")
{
   mapTo = "train_rear_light.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_rearlight.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/train_rear_light_s.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_grabiron_ladder_R.skin.ns")
{
   mapTo = "train_grabiron_ladder_R.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_rearladder.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/rearladder_s.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_frame.skin.ns")
{
   mapTo = "train_frame.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_frame.png";
   specularMap[0] = "vehicles/6axle_train/tex/train_frame_s.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_handrails_color_1.skin.ns")
{
   mapTo = "train_handrails_color_1.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_black.png";
   specular[0] = "0.5 0.5 0.5 1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_handrails_color_2.skin.ns")
{
   mapTo = "train_handrails_color_2.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_yellow.png";
   specular[0] = "0.5 0.5 0.5 1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("SD40_CAB.skin.ns")
{
   mapTo = "SD40_CAB.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_cab_hh.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_cab_s.png";
   normalMap[0] = "vehicles/6axle_train/ns/ns_cab_n.png";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("onion_pacific_nose.skin.ns")
{
   mapTo = "onion_pacific_nose.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_nose.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_nose_s.png";
   normalMap[0] = "vehicles/6axle_train/tex/nose_n.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("onion_pacific_dynamic_brake.skin.ns")
{
   mapTo = "onion_pacific_dynamic_brake.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_dynamicbrake.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/onion_pacific_dynamic_brake_s.dds";
   normalMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/onion_pacific_dynamic_brake_n.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_radiator_fan_cases.skin.ns")
{
   mapTo = "train_radiator_fan_cases.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_radiatorfancases.png";
    useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_roofcomponents.skin.ns")
{
   mapTo = "train_roofcomponents.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_roofcomponents.png";
   normalMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/train_roofcomponents_Normal_OpenGL.dds";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/train_roofcomponents_Roughness.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_cab_light.skin.ns")
{
   mapTo = "train_cab_light.skin.ns";
   reflectivityMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/train_cab_light_r.dds";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_cablight.png";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   dynamicCubemap = true;
   translucentBlendOp = "None";
};

singleton Material("radiatorframe.skin.ns")
{
   mapTo = "radiatorframe.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_radiatorfan.png";    
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
};

singleton Material("train_ec_airfilter.skin.ns")
{
   mapTo = "train_ec_airfilter.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_ec_af.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/op_ec_airfilter_s.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("airreservoir.skin.ns")
{
   mapTo = "airreservoir.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_airreservoir.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/airreservoir_s.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_bell_frame.skin.ns")
{
   mapTo = "train_bell_frame.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_bell.png";
   diffuseMap[1] = "vehicles/6axle_train/ns/ns_bell.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/op_bell_s.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("metalplate.skin.ns")
{
   mapTo = "metalplate.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_metalplate.png";
   normalMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/metalplate_n.dds";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/metalplate_s.dds";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("fueltank.skin.ns")
{
   mapTo = "fueltank.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_fueltank.png";
   specularMap[0] = "vehicles/6axle_train/tex/fueltank_Roughness.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("endplatestuff.skin.ns")
{
   mapTo = "endplatestuff.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_endplatestuff.png";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_radiator_fan.skin.ns")
{
   mapTo = "train_radiator_fan.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_radiatorfan.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/op_radiatorfan_s.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_numberplates.skin.ns")
{
   mapTo = "train_numberplates.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_numberplates.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
   doubleSided = true;
};

singleton Material("train_chain.skin.ns")
{
   mapTo = "train_chain.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_black.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("onion_pacific_dynamic_brake_grille.skin.ns")
{
   mapTo = "onion_pacific_dynamic_brake_grille.skin.ns";
    diffuseColor[0] = "0.8 0.8 0.8 1";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_dynamicbrakegrille.png";
   specularMap[0] = "vehicles/6axle_train/6axle_train_skin_onionpacific/train_db_grille_s.dds";
   useAnisotropic[0] = "1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("train_tractionmotors.skin.ns")
{
   mapTo = "train_tractionmotors.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_tractionmotors.png";
   normalMap[0] = "vehicles/6axle_train/trucks/train_tractionmotors_n.dds";
   specularMap[0] = "vehicles/6axle_train/trucks/train_tractionmotors_s.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_trucks.skin.ns")
{
   mapTo = "train_trucks.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_trucks.png";
    specularMap[0] = "vehicles/6axle_train/trucks/train_trucks_s.dds";
   normalMap[0] = "vehicles/6axle_train/trucks/train_trucks_n.dds";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("train_brakes.skin.ns")
{
   mapTo = "train_brakes.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_brakes.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};

singleton Material("windowtrim2.skin.ns")
{
   mapTo = "windowtrim2.skin.ns";
   diffuseMap[0] = "vehicles/6axle_train/ns/ns_black.png";
   specularMap[0] = "vehicles/6axle_train/ns/ns_spec.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   useAnisotropic[0] = "1";
   translucentBlendOp = "None";
};
